<?php

namespace eBizCharge\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for EbizCustomField StructType
 * @subpackage Structs
 */
class EbizCustomField extends AbstractStructBase
{
    /**
     * The FieldId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldId;
    /**
     * The FieldCaption
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldCaption;
    /**
     * The FieldName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldName;
    /**
     * The FieldValue
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldValue;
    /**
     * The FieldType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldType;
    /**
     * The FieldDataType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldDataType;
    /**
     * The FieldDescription
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FieldDescription;
    /**
     * Constructor method for EbizCustomField
     * @uses EbizCustomField::setFieldId()
     * @uses EbizCustomField::setFieldCaption()
     * @uses EbizCustomField::setFieldName()
     * @uses EbizCustomField::setFieldValue()
     * @uses EbizCustomField::setFieldType()
     * @uses EbizCustomField::setFieldDataType()
     * @uses EbizCustomField::setFieldDescription()
     * @param string $fieldId
     * @param string $fieldCaption
     * @param string $fieldName
     * @param string $fieldValue
     * @param string $fieldType
     * @param string $fieldDataType
     * @param string $fieldDescription
     */
    public function __construct($fieldId = null, $fieldCaption = null, $fieldName = null, $fieldValue = null, $fieldType = null, $fieldDataType = null, $fieldDescription = null)
    {
        $this
            ->setFieldId($fieldId)
            ->setFieldCaption($fieldCaption)
            ->setFieldName($fieldName)
            ->setFieldValue($fieldValue)
            ->setFieldType($fieldType)
            ->setFieldDataType($fieldDataType)
            ->setFieldDescription($fieldDescription);
    }
    /**
     * Get FieldId value
     * @return string|null
     */
    public function getFieldId()
    {
        return $this->FieldId;
    }
    /**
     * Set FieldId value
     * @param string $fieldId
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldId($fieldId = null)
    {
        // validation for constraint: string
        if (!is_null($fieldId) && !is_string($fieldId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldId, true), gettype($fieldId)), __LINE__);
        }
        $this->FieldId = $fieldId;
        return $this;
    }
    /**
     * Get FieldCaption value
     * @return string|null
     */
    public function getFieldCaption()
    {
        return $this->FieldCaption;
    }
    /**
     * Set FieldCaption value
     * @param string $fieldCaption
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldCaption($fieldCaption = null)
    {
        // validation for constraint: string
        if (!is_null($fieldCaption) && !is_string($fieldCaption)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldCaption, true), gettype($fieldCaption)), __LINE__);
        }
        $this->FieldCaption = $fieldCaption;
        return $this;
    }
    /**
     * Get FieldName value
     * @return string|null
     */
    public function getFieldName()
    {
        return $this->FieldName;
    }
    /**
     * Set FieldName value
     * @param string $fieldName
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldName($fieldName = null)
    {
        // validation for constraint: string
        if (!is_null($fieldName) && !is_string($fieldName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldName, true), gettype($fieldName)), __LINE__);
        }
        $this->FieldName = $fieldName;
        return $this;
    }
    /**
     * Get FieldValue value
     * @return string|null
     */
    public function getFieldValue()
    {
        return $this->FieldValue;
    }
    /**
     * Set FieldValue value
     * @param string $fieldValue
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldValue($fieldValue = null)
    {
        // validation for constraint: string
        if (!is_null($fieldValue) && !is_string($fieldValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldValue, true), gettype($fieldValue)), __LINE__);
        }
        $this->FieldValue = $fieldValue;
        return $this;
    }
    /**
     * Get FieldType value
     * @return string|null
     */
    public function getFieldType()
    {
        return $this->FieldType;
    }
    /**
     * Set FieldType value
     * @param string $fieldType
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldType($fieldType = null)
    {
        // validation for constraint: string
        if (!is_null($fieldType) && !is_string($fieldType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldType, true), gettype($fieldType)), __LINE__);
        }
        $this->FieldType = $fieldType;
        return $this;
    }
    /**
     * Get FieldDataType value
     * @return string|null
     */
    public function getFieldDataType()
    {
        return $this->FieldDataType;
    }
    /**
     * Set FieldDataType value
     * @param string $fieldDataType
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldDataType($fieldDataType = null)
    {
        // validation for constraint: string
        if (!is_null($fieldDataType) && !is_string($fieldDataType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldDataType, true), gettype($fieldDataType)), __LINE__);
        }
        $this->FieldDataType = $fieldDataType;
        return $this;
    }
    /**
     * Get FieldDescription value
     * @return string|null
     */
    public function getFieldDescription()
    {
        return $this->FieldDescription;
    }
    /**
     * Set FieldDescription value
     * @param string $fieldDescription
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public function setFieldDescription($fieldDescription = null)
    {
        // validation for constraint: string
        if (!is_null($fieldDescription) && !is_string($fieldDescription)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fieldDescription, true), gettype($fieldDescription)), __LINE__);
        }
        $this->FieldDescription = $fieldDescription;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \eBizCharge\StructType\EbizCustomField
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
